Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1990584 - F35FailsToInstall: rust-matrixmultiply+thread-tree-devel, rust-matrixmultiply+threading-devel
Summary: F35FailsToInstall: rust-matrixmultiply+thread-tree-devel, rust-matrixmultiply...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rust-matrixmultiply
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Davide Cavalca
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On: 1990626
Blocks: F35FinalFreezeException F35FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2021-08-05 16:43 UTC by Miro Hrončok
Modified: 2021-10-28 18:27 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-28 18:27:44 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Miro Hrončok 2021-08-05 16:43:46 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (rust-matrixmultiply) Fails To Install in Fedora 35:

can't install rust-matrixmultiply+thread-tree-devel:
  - nothing provides (crate(thread-tree/default) >= 0.3.2 with crate(thread-tree/default) < 0.4.0~) needed by rust-matrixmultiply+thread-tree-devel-0.3.1-1.fc35.noarch
  
can't install rust-matrixmultiply+threading-devel:
  - nothing provides (crate(thread-tree/default) >= 0.3.2 with crate(thread-tree/default) < 0.4.0~) needed by rust-matrixmultiply+threading-devel-0.3.1-1.fc35.noarch
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Ben Cotton 2021-08-10 13:35:35 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.

Comment 2 Miro Hrončok 2021-10-18 09:00:22 UTC
This package has been orphaned.

You can pick it up at https://src.fedoraproject.org/rpms/rust-matrixmultiply by clicking button "Take". If nobody picks it up, it will be retired and removed from a distribution.

Comment 3 Davide Cavalca 2021-10-18 14:16:24 UTC
This needs rust-thread-tree for a couple of the subpackages, which is still pending review: https://bugzilla.redhat.com/show_bug.cgi?id=1990626

Comment 4 Fedora Update System 2021-10-18 16:16:39 UTC
FEDORA-2021-5f1d4ab49b has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-5f1d4ab49b

Comment 5 Fedora Blocker Bugs Application 2021-10-18 16:26:10 UTC
Proposed as a Freeze Exception for 35-final by Fedora user dcavalca using the blocker tracking app because:

 To fix an FTI in a package shipped in F35 (rust-matrixmultiply) I need to push an update adding a new package (rust-thread-tree). The update is already out: https://bodhi.fedoraproject.org/updates/FEDORA-2021-5f1d4ab49b

Comment 6 Geoffrey Marr 2021-10-18 20:59:39 UTC
Discussed during the 2021-10-18 blocker review meeting: [0]

The decision to classify this bug as an "AcceptedFreezeException (Final)" was made as it is a noticeable issue that cannot be fixed with an update.

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2021-10-18/f35-blocker-review.2021-10-18-16.00.txt

Comment 7 Fedora Update System 2021-10-20 13:47:19 UTC
FEDORA-2021-5f1d4ab49b has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-5f1d4ab49b \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-5f1d4ab49b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Miro Hrončok 2021-10-25 08:09:20 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 36.

Thanks for taking care of it!

Comment 9 Lukas Ruzicka 2021-10-26 12:06:18 UTC
The update from comment #7 fixes the issue.

Comment 10 Fedora Update System 2021-10-28 18:27:44 UTC
FEDORA-2021-5f1d4ab49b has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.